EDIT - bug #9566

Handle nomenclatural standing correctly in cdmlight / sorting algorithms
03/29/2021 06:58 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal Found in Version:

Description

This includes using the correct symbol whenenver a "name" is a designation only.

And sorting designations to the end in homotypicGroup sorting algorithms like HomotypicGroupTaxonComparator

Related issues:

Related to EDIT - feature request #9282: Add nomenclatural standing Closed
Related to EDIT - task #9567: Unify HomotypicGroupTaxonComparator and Homotyp... Closed
Has duplicate EDIT - bug #9441: Move names with invalid designation name rela... Closed

Associated revisions

Revision 61f058d5 - 03/29/2021 10:16 AM - Katja Luther

adapt symbol for misspellings

Revision 37f45eff - 03/29/2021 07:30 PM - Andreas Miiller

ref #9566 use nomenclatural standing for taxon ordering

Revision 0dbab4a2 - 03/29/2021 07:43 PM - Andreas Miiller

ref #9566 use invalid designation symbol for all names with nomenclatural standing "invalid"

Revision b9806393 - 03/29/2021 07:44 PM - Andreas Miiller

ref #9566 use nomenclatural standing also for name ordering with HomotypicalGroupNameComparator

Revision 8432293f - 03/29/2021 08:46 PM - Andreas Miiller

fix #9567 unify HomotypicGroupTaxonComparator and HomotypicGroupNameComparator

History

#1 - 03/29/2021 07:01 PM - Andreas Miiller

- Has duplicate bug #9441: Move names with invalid designation name relationships to the end in taxon comparator added

#2 - 03/29/2021 07:02 PM - Andreas Miiller
- Related to feature request #9282: Add nomenclatural standing added

#3 - 03/29/2021 08:47 PM - Andreas Miiller
- Related to task #9567: Unify HomotypicGroup TaxonComparator and HomotypicGroupNameComparator added

#4 - 03/29/2021 09:15 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

Please review.

#5 - 03/30/2021 11:53 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 100

this works now as expected, also for the homotypic groups in editor.
